[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDBTransaction.DataBase

Database this transaction is connected to

## Declaration

Source position: db.pas line 1992

`public property TDBTransaction.DataBase : TDataBase read FDatabase write SetDatabase;`

## Description

Database points to the database that this transaction is part of. This property can be set only when the transaction is not active.

## Errors

Setting this property to a new value when the transaction is active will result in an EDatabaseError exception.

## See also

TDBTransaction.Active |  | Is the transaction active or not
TDatabase |  | Base class for connecting a FreePascal application to an external Database engine